/* -*-C-*-
*******************************************************************************
*
* File:         Alias.m
* RCS:          /usr/local/sources/CVS/EnhanceMail/Alias.m,v 1.3 2000/04/04 22:43:05 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 20 14:47:00 1995
* Modified:     Sat Apr 13 19:03:11 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import "EnhanceMail.h"
#import "Alias.h"

@implementation EnhanceAlias

+ finishLoading:(struct mach_header *)header
{
   [self poseAs:[self superclass]];
   [[Alias new] changeClassTo:[self class]];
   return self;
}

- removeUser:(int)index from:(const char *)group
{
   return [super removeUser:index from:group];
}

- addUser:(const char *)name group:(const char *)group
{
   /* [self removeUser:oldindex group:group] */
   return [super addUser:name group:group];
}

- (char *)bitmapName:(const char *)address
{
   char *result = NULL;

   if (address)
   {
      result = [super bitmapName:address];

      if (result == NULL)
      {
	 /* If not found, shorten address by removing first element
	    of domain name, and try again.
	    Repeat until it succeeds or we run out of domain... */
	 char buf[strlen(address)+1];
	 char *at, *dot;

	 strcpy(buf, address);

	 if ((at = strchr(buf, '@')) != NULL)
	 {
	    while ((dot = strchr(at + 1, '.')) != NULL)
	    {
	       strcpy(at + 1, dot + 1);
	       result = [super bitmapName:buf];
	       if (result != NULL) break;
	    }
	 }
      }
   }
   return result;
}

@end // EnhanceAlias
