/* -*-C-*-
*******************************************************************************
*
* File:         EnhanceMail.h
* RCS:          /usr/local/sources/CVS/EnhanceMail/EnhanceMail.h,v 1.11 2000/02/26 18:52:47 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Thu Aug  5 15:50:47 1999 Tom Hageman
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

extern BOOL EnhanceControlP(void);
extern BOOL EnhanceShiftP(void);
extern BOOL EnhanceAlternateP(void);
extern BOOL EnhanceCommandP(void);

extern const char *EnhanceGetPath(char *buf, const char *prefix, const char *file);

extern BOOL EnhanceUseKanji(void);

extern NXBundle *EnhanceBundle;

extern void EnhanceBundleInit();
extern NXZone *EnhanceScratchZone();

// email address pattern matching.
extern BOOL EnhanceGetAddress(const char *str, const char **start, int *len);
extern BOOL EnhanceGetUsername(const char *str, const char **start, int *len);


@interface EnhanceMail : MailDriver
@end

@interface Application(EnhanceMail)
- (const char *)appVersion;
@end

@interface Object(EnhanceMail)
- changeClassTo:class;
@end

@interface Menu(EnhanceMail)
- findCellWithTitle:(const char *)title;
- addSlashItem:(const char *)title action:(SEL)sel keyEquivalent:(unsigned short)code;
@end

@interface ButtonCell(EnhanceMail)
- (int)state;
- setState:(int)anInt;
@end
