/* -*-ObjC-*-
*******************************************************************************
*
* File:         MailboxSummary_private.h
* RCS:          MailboxSummary_private.h,v 1.2 2000/02/26 18:52:58 tom Exp
* Description:  Private implementation definitions for MailboxSummary class
* Author:       Tom Hageman
* Created:      August 1999
* Modified:     
* Language:     Objective-C
* Package:      EnhanceMail
* Status:       Experimental
*
* Copyright (C) 1999 Tom Hageman, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#define _MAILTOC_DEFINES   1
#import "mailtoc.h"
#import "MailboxSummary.h"

#if DEBUG || DEBUG_SUMMARY
#  define DFPRINTF(arglist)	fprintf arglist
#else
#  define DFPRINTF(arglist)
#endif


// Versioning support.
#define CLASS_NAME	"EnhanceMailboxSummary"
#define CLASS_VERSION_0	0
#define CLASS_VERSION_1	1
#define CLASS_VERSION	CLASS_VERSION_1


#define FILESTOSTAT  MBOX_TOC_FILE

#define STAT_EQ_FILE(s1, s2)	((s1)->st_ino == (s2)->st_ino && \
				 ((s1)->st_dev == (s2)->st_dev || \
				  /* Kludge to allow restoration from cache. */ \
				  (s1)->st_dev == 0 || (s2)->st_dev == 0))

#define STAT_EQ(s1, s2)		(STAT_EQ_FILE((s1), (s2)) && \
				 (s1)->st_mtime == (s2)->st_mtime && \
				 (s1)->st_size == (s2)->st_size)

#define NEW_OR_UNREAD(array)	((array)[EMS_TAG_NEW] + (array)[EMS_TAG_UNREAD])
